<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetSNMPMIB2ListReq StructType
 * @subpackage Structs
 */
class GetSNMPMIB2ListReq extends APIRequest
{
    /**
     * The sysContact
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 32
     * @var string
     */
    public $sysContact;
    /**
     * Constructor method for GetSNMPMIB2ListReq
     * @uses GetSNMPMIB2ListReq::setSysContact()
     * @param string $sysContact
     */
    public function __construct($sysContact = null)
    {
        $this
            ->setSysContact($sysContact);
    }
    /**
     * Get sysContact value
     * @return string|null
     */
    public function getSysContact()
    {
        return $this->sysContact;
    }
    /**
     * Set sysContact value
     * @param string $sysContact
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetSNMPMIB2ListReq
     */
    public function setSysContact($sysContact = null)
    {
        $this->sysContact = $sysContact;
        return $this;
    }
}
